/statuscake | Type: Application | PCID required: Yes
Tools
statuscake_create_contact_group
Create a contact group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email_addresses | string[] | No | — | List of email addresses |
integrations | string[] | No | — | List of integration IDs |
mobile_numbers | string[] | No | — | List of international format mobile phone numbers |
name | string | Yes | — | Name of the contact group |
ping_url | string | No | — | URL or IP address of an endpoint to push uptime events. Currently this only supports HTTP GET endpoints |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email_addresses": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of email addresses"
},
"integrations": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of integration IDs"
},
"mobile_numbers": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of international format mobile phone numbers"
},
"name": {
"type": "string",
"description": "Name of the contact group"
},
"ping_url": {
"type": "string",
"description": "URL or IP address of an endpoint to push uptime events. Currently this only supports HTTP GET endpoints"
}
},
"required": [
"PCID",
"name"
]
}
statuscake_create_heartbeat_test
Create a heartbeat check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
contact_groups | string[] | No | — | List of contact group IDs |
host | string | No | — | Name of the hosting provider |
name | string | Yes | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
period | integer | Yes | — | Number of seconds since the last ping before the check is considered down |
tags | string[] | No | — | List of tags |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"host": {
"type": "string",
"description": "Name of the hosting provider"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"period": {
"type": "integer",
"description": "Number of seconds since the last ping before the check is considered down"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags"
}
},
"required": [
"PCID",
"name",
"period"
]
}
statuscake_create_maintenance_window
Create a maintenance window Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
end_at | string | Yes | — | End of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the timezone field. When repeat_interval is not never, the date component determines the first occurrence only; subsequent windows repeat at the same local time. |
name | string | Yes | — | Name of the maintenance window |
repeat_interval | string | No | — | How often the maintenance window should occur |
start_at | string | Yes | — | Start of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the timezone field. When repeat_interval is not never, the date component determines the first occurrence only; subsequent windows repeat at the same local time. |
tags | string[] | No | — | List of tags used to include matching uptime checks in this maintenance window. At least one of tests and tags must be present in the request |
tests | string[] | No | — | List of uptime check IDs explicitly included in this maintenance window. At least one of tests and tags must be present in the request |
timezone | string | Yes | — | Standard timezone associated with this maintenance window |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"end_at": {
"type": "string",
"description": "End of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the `timezone` field. When `repeat_interval` is not `never`, the date component determines the first occurrence only; subsequent windows repeat at the same local time."
},
"name": {
"type": "string",
"description": "Name of the maintenance window"
},
"repeat_interval": {
"type": "string",
"description": "How often the maintenance window should occur",
"enum": [
"never",
"1d",
"1w",
"2w",
"1m"
]
},
"start_at": {
"type": "string",
"description": "Start of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the `timezone` field. When `repeat_interval` is not `never`, the date component determines the first occurrence only; subsequent windows repeat at the same local time."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags used to include matching uptime checks in this maintenance window. At least one of `tests` and `tags` must be present in the request"
},
"tests": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of uptime check IDs explicitly included in this maintenance window. At least one of `tests` and `tags` must be present in the request"
},
"timezone": {
"type": "string",
"description": "Standard [timezone](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones#List) associated with this maintenance window"
}
},
"required": [
"PCID",
"end_at",
"name",
"start_at",
"timezone"
]
}
statuscake_create_pagespeed_test
Create a pagespeed check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
alert_bigger | integer | No | — | An alert will be sent if the size of the page is larger than this value (kb). A value of 0 prevents alerts being sent. |
alert_slower | integer | No | — | An alert will be sent if the load time of the page exceeds this value (ms). A value of 0 prevents alerts being sent |
alert_smaller | integer | No | — | An alert will be sent if the size of the page is smaller than this value (kb). A value of 0 prevents alerts being sent |
check_rate | integer | Yes | — | Number of seconds between checks |
contact_groups | string[] | No | — | List of contact group IDs |
name | string | Yes | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
region | string | Yes | — | Region on which to run checks |
website_url | string | Yes | — | URL, FQDN, or IP address of the website under test |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"alert_bigger": {
"type": "integer",
"description": "An alert will be sent if the size of the page is larger than this value (kb). A value of 0 prevents alerts being sent."
},
"alert_slower": {
"type": "integer",
"description": "An alert will be sent if the load time of the page exceeds this value (ms). A value of 0 prevents alerts being sent"
},
"alert_smaller": {
"type": "integer",
"description": "An alert will be sent if the size of the page is smaller than this value (kb). A value of 0 prevents alerts being sent"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
60,
300,
600,
900,
1800,
3600,
86400
]
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"region": {
"type": "string",
"description": "Region on which to run checks",
"enum": [
"AU",
"CA",
"DE",
"FR",
"IN",
"JP",
"NL",
"SG",
"UK",
"US",
"USW"
]
},
"website_url": {
"type": "string",
"description": "URL, FQDN, or IP address of the website under test"
}
},
"required": [
"PCID",
"check_rate",
"name",
"region",
"website_url"
]
}
statuscake_create_ssl_test
Create an SSL check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
alert_at | integer[] | Yes | — | List representing when alerts should be sent (days). Must be exactly 3 numerical values |
alert_broken | boolean | No | — | Whether to enable alerts when SSL certificate issues are found |
alert_expiry | boolean | No | — | Whether to enable alerts when the SSL certificate is to expire |
alert_mixed | boolean | No | — | Whether to enable alerts when mixed content is found |
alert_reminder | boolean | No | — | Whether to enable alert reminders |
check_rate | integer | Yes | — | Number of seconds between checks |
contact_groups | string[] | No | — | List of contact group IDs |
follow_redirects | boolean | No | — | Whether to follow redirects when testing. Disabled by default |
hostname | string | No | — | Hostname of the server under test |
paused | boolean | No | — | Whether the check should be run |
user_agent | string | No | — | Custom user agent string set when testing |
website_url | string | Yes | — | URL of the server under test. Must begin with https:// |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"alert_at": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "List representing when alerts should be sent (days). Must be exactly 3 numerical values"
},
"alert_broken": {
"type": "boolean",
"description": "Whether to enable alerts when SSL certificate issues are found"
},
"alert_expiry": {
"type": "boolean",
"description": "Whether to enable alerts when the SSL certificate is to expire"
},
"alert_mixed": {
"type": "boolean",
"description": "Whether to enable alerts when mixed content is found"
},
"alert_reminder": {
"type": "boolean",
"description": "Whether to enable alert reminders"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
300,
600,
1800,
3600,
86400,
2073600
]
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"follow_redirects": {
"type": "boolean",
"description": "Whether to follow redirects when testing. Disabled by default"
},
"hostname": {
"type": "string",
"description": "Hostname of the server under test"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"user_agent": {
"type": "string",
"description": "Custom user agent string set when testing"
},
"website_url": {
"type": "string",
"description": "URL of the server under test. Must begin with https://"
}
},
"required": [
"PCID",
"alert_at",
"check_rate",
"website_url"
]
}
statuscake_create_uptime_test
Create an uptime check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
basic_password | string | No | — | Basic authentication password |
basic_username | string | No | — | Basic authentication username |
check_rate | integer | Yes | — | Number of seconds between checks |
confirmation | integer | No | — | Number of confirmation servers to confirm downtime before an alert is triggered |
contact_groups | string[] | No | — | List of contact group IDs |
custom_header | string | No | — | JSON object. Represents headers to be sent when making requests |
dns_ips | string[] | No | — | List of IP addresses to compare against returned DNS records |
dns_server | string | No | — | FQDN or IP address of the nameserver to query |
do_not_find | boolean | No | — | Whether to consider the check as down if the content is present within the response |
enable_ssl_alert | boolean | No | — | Whether to send an alert if the SSL certificate is soon to expire |
final_endpoint | string | No | — | Specify where the redirect chain should end |
find_string | string | No | — | String to look for within the response. Considered down if not found |
follow_redirects | boolean | No | — | Whether to follow redirects when testing. Disabled by default |
host | string | No | — | Name of the hosting provider |
include_header | boolean | No | — | Include header content in string match search |
name | string | Yes | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
port | integer | No | — | Destination port for TCP checks |
post_body | string | No | — | JSON object. Payload submitted with the request. Setting this updates the check to use the HTTP POST verb |
post_raw | string | No | — | Raw HTTP POST string to send to the server |
regions | string[] | No | — | List of regions on which to run checks. The values required for this parameter can be retrieved from the GET /v1/uptime-locations endpoint. |
status_codes_csv | string | No | — | Comma separated list of status codes that trigger an alert |
tags | string[] | No | — | List of tags |
test_type | string | Yes | — | Uptime check type |
timeout | integer | No | — | The number of seconds to wait to receive the first byte |
trigger_rate | integer | No | — | The number of minutes to wait before sending an alert |
use_jar | boolean | No | — | Whether to enable cookie storage |
user_agent | string | No | — | Custom user agent string set when testing |
website_url | string | Yes | — | URL or IP address of the server under test |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"basic_password": {
"type": "string",
"description": "Basic authentication password"
},
"basic_username": {
"type": "string",
"description": "Basic authentication username"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
0,
30,
60,
300,
900,
1800,
3600,
86400
]
},
"confirmation": {
"type": "integer",
"description": "Number of confirmation servers to confirm downtime before an alert is triggered"
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"custom_header": {
"type": "string",
"description": "JSON object. Represents headers to be sent when making requests"
},
"dns_ips": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of IP addresses to compare against returned DNS records"
},
"dns_server": {
"type": "string",
"description": "FQDN or IP address of the nameserver to query"
},
"do_not_find": {
"type": "boolean",
"description": "Whether to consider the check as down if the content is present within the response"
},
"enable_ssl_alert": {
"type": "boolean",
"description": "Whether to send an alert if the SSL certificate is soon to expire"
},
"final_endpoint": {
"type": "string",
"description": "Specify where the redirect chain should end"
},
"find_string": {
"type": "string",
"description": "String to look for within the response. Considered down if not found"
},
"follow_redirects": {
"type": "boolean",
"description": "Whether to follow redirects when testing. Disabled by default"
},
"host": {
"type": "string",
"description": "Name of the hosting provider"
},
"include_header": {
"type": "boolean",
"description": "Include header content in string match search"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"port": {
"type": "integer",
"description": "Destination port for TCP checks"
},
"post_body": {
"type": "string",
"description": "JSON object. Payload submitted with the request. Setting this updates the check to use the HTTP POST verb"
},
"post_raw": {
"type": "string",
"description": "Raw HTTP POST string to send to the server"
},
"regions": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of regions on which to run checks. The values required for this parameter can be retrieved from the `GET /v1/uptime-locations` endpoint."
},
"status_codes_csv": {
"type": "string",
"description": "Comma separated list of status codes that trigger an alert"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags"
},
"test_type": {
"type": "string",
"description": "Uptime check type",
"enum": [
"DNS",
"HEAD",
"HTTP",
"PING",
"SMTP",
"SSH",
"TCP"
]
},
"timeout": {
"type": "integer",
"description": "The number of seconds to wait to receive the first byte"
},
"trigger_rate": {
"type": "integer",
"description": "The number of minutes to wait before sending an alert"
},
"use_jar": {
"type": "boolean",
"description": "Whether to enable cookie storage"
},
"user_agent": {
"type": "string",
"description": "Custom user agent string set when testing"
},
"website_url": {
"type": "string",
"description": "URL or IP address of the server under test"
}
},
"required": [
"PCID",
"check_rate",
"name",
"test_type",
"website_url"
]
}
statuscake_delete_contact_group
Delete a contact group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Contact group ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Contact group ID"
}
},
"required": [
"PCID",
"group_id"
]
}
statuscake_delete_heartbeat_test
Delete a heartbeat check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Heartbeat check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Heartbeat check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_delete_maintenance_window
Delete a maintenance window Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
window_id | string | Yes | — | Maintenance window ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"window_id": {
"type": "string",
"description": "Maintenance window ID"
}
},
"required": [
"PCID",
"window_id"
]
}
statuscake_delete_pagespeed_test
Delete a pagespeed check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Pagespeed check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Pagespeed check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_delete_ssl_test
Delete an SSL check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Pagespeed check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Pagespeed check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_delete_uptime_test
Delete an uptime check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_get_contact_group
Retrieve a contact group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Contact group ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Contact group ID"
}
},
"required": [
"PCID",
"group_id"
]
}
statuscake_get_heartbeat_test
Retrieve a heartbeat check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Heartbeat check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Heartbeat check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_get_maintenance_window
Retrieve a maintenance window Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
window_id | string | Yes | — | Maintenance window ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"window_id": {
"type": "string",
"description": "Maintenance window ID"
}
},
"required": [
"PCID",
"window_id"
]
}
statuscake_get_pagespeed_test
Retrieve a pagespeed check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Pagespeed check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Pagespeed check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_get_ssl_test
Retrieve an SSL check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | SSL check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "SSL check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_get_uptime_test
Retrieve an uptime check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_list_contact_groups
Get all contact groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page of results |
limit | integer | No | — | The number of contact groups to return per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of contact groups to return per page"
}
},
"required": [
"PCID"
]
}
statuscake_list_heartbeat_tests
Get all heartbeat checks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
status | string | No | — | Heartbeat check status |
page | integer | No | — | Page of results |
limit | integer | No | — | The number of heartbeat checks to return per page |
tags | string | No | — | Comma separated list of tags assocaited with a check |
matchany | boolean | No | — | Include heartbeat checks in response that match any specified tag or all tags. This parameter does not take a value. The absence of this paratemer equates to false whilst the presence of thie paramerter equates to true. |
nouptime | boolean | No | — | Do not calculate uptime percentages for results. This parameter does not take a value. The absence of this paratemer equates to false whilst the presence of thie paramerter equates to true. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"status": {
"type": "string",
"description": "Heartbeat check status",
"enum": [
"down",
"up"
]
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of heartbeat checks to return per page"
},
"tags": {
"type": "string",
"description": "Comma separated list of tags assocaited with a check"
},
"matchany": {
"type": "boolean",
"description": "Include heartbeat checks in response that match any specified tag or all tags. This parameter does not take a value. The absence of this paratemer equates to `false` whilst the presence of thie paramerter equates to `true`."
},
"nouptime": {
"type": "boolean",
"description": "Do not calculate uptime percentages for results. This parameter does not take a value. The absence of this paratemer equates to `false` whilst the presence of thie paramerter equates to `true`."
}
},
"required": [
"PCID"
]
}
statuscake_list_maintenance_windows
Get all maintenance windows Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page of results |
limit | integer | No | — | The number of maintenance windows to return per page |
state | string | No | — | Maintenance window state |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of maintenance windows to return per page"
},
"state": {
"type": "string",
"description": "Maintenance window state",
"enum": [
"active",
"paused",
"pending"
]
}
},
"required": [
"PCID"
]
}
statuscake_list_pagespeed_monitoring_locations
Get all pagespeed monitoring locations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
location | string | No | — | Alpha-2 ISO 3166-1 country code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"location": {
"type": "string",
"description": "Alpha-2 ISO 3166-1 country code"
}
},
"required": [
"PCID"
]
}
statuscake_list_pagespeed_test_history
Get all pagespeed check history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Pagespeed check ID |
limit | integer | No | — | The number of results to return from the series |
before | integer | No | — | Only results created before this UNIX timestamp will be returned |
after | integer | No | — | Only results created after this UNIX timestamp will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Pagespeed check ID"
},
"limit": {
"type": "integer",
"description": "The number of results to return from the series"
},
"before": {
"type": "integer",
"description": "Only results created before this UNIX timestamp will be returned"
},
"after": {
"type": "integer",
"description": "Only results created after this UNIX timestamp will be returned"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_list_pagespeed_tests
Get all pagespeed checks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page of results |
limit | integer | No | — | The number of pagespeed checks to return per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of pagespeed checks to return per page"
}
},
"required": [
"PCID"
]
}
statuscake_list_ssl_tests
Get all SSL checks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page of results |
limit | integer | No | — | The number of SSL checks to return per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of SSL checks to return per page"
}
},
"required": [
"PCID"
]
}
statuscake_list_uptime_monitoring_locations
Get all uptime monitoring locations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
region_code | string | No | — | Server region code |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"region_code": {
"type": "string",
"description": "Server region code"
}
},
"required": [
"PCID"
]
}
statuscake_list_uptime_test_alerts
Get all uptime check alerts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
limit | integer | No | — | The number of uptime alerts to return per page |
before | integer | No | — | Only alerts triggered before this UNIX timestamp will be returned |
after | integer | No | — | Only alerts triggered after this UNIX timestamp will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
},
"limit": {
"type": "integer",
"description": "The number of uptime alerts to return per page"
},
"before": {
"type": "integer",
"description": "Only alerts triggered before this UNIX timestamp will be returned"
},
"after": {
"type": "integer",
"description": "Only alerts triggered after this UNIX timestamp will be returned"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_list_uptime_test_history
Get all uptime check history Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
limit | integer | No | — | The number of results to return per page |
before | integer | No | — | Only results created before this UNIX timestamp will be returned |
after | integer | No | — | Only results created after this UNIX timestamp will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
},
"limit": {
"type": "integer",
"description": "The number of results to return per page"
},
"before": {
"type": "integer",
"description": "Only results created before this UNIX timestamp will be returned"
},
"after": {
"type": "integer",
"description": "Only results created after this UNIX timestamp will be returned"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_list_uptime_test_periods
Get all uptime check periods Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
limit | integer | No | — | The number of uptime check periods to return per page |
before | integer | No | — | Only check periods created before this UNIX timestamp will be returned |
after | integer | No | — | Only check periods created after this UNIX timestamp will be returned |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
},
"limit": {
"type": "integer",
"description": "The number of uptime check periods to return per page"
},
"before": {
"type": "integer",
"description": "Only check periods created before this UNIX timestamp will be returned"
},
"after": {
"type": "integer",
"description": "Only check periods created after this UNIX timestamp will be returned"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_list_uptime_tests
Get all uptime checks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
status | string | No | — | Uptime check status |
page | integer | No | — | Page of results |
limit | integer | No | — | The number of uptime checks to return per page |
tags | string | No | — | Comma separated list of tags assocaited with a check |
matchany | boolean | No | — | Include uptime checks in response that match any specified tag or all tags. This parameter does not take a value. The absence of this paratemer equates to false whilst the presence of thie paramerter equates to true. |
nouptime | boolean | No | — | Do not calculate uptime percentages for results. This parameter does not take a value. The absence of this paratemer equates to false whilst the presence of thie paramerter equates to true. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"status": {
"type": "string",
"description": "Uptime check status",
"enum": [
"down",
"up"
]
},
"page": {
"type": "integer",
"description": "Page of results"
},
"limit": {
"type": "integer",
"description": "The number of uptime checks to return per page"
},
"tags": {
"type": "string",
"description": "Comma separated list of tags assocaited with a check"
},
"matchany": {
"type": "boolean",
"description": "Include uptime checks in response that match any specified tag or all tags. This parameter does not take a value. The absence of this paratemer equates to `false` whilst the presence of thie paramerter equates to `true`."
},
"nouptime": {
"type": "boolean",
"description": "Do not calculate uptime percentages for results. This parameter does not take a value. The absence of this paratemer equates to `false` whilst the presence of thie paramerter equates to `true`."
}
},
"required": [
"PCID"
]
}
statuscake_update_contact_group
Update a contact group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
group_id | string | Yes | — | Contact group ID |
email_addresses | string[] | No | — | List of email addresses |
integrations | string[] | No | — | List of integration IDs |
mobile_numbers | string[] | No | — | List of international format mobile phone numbers |
name | string | No | — | Name of the contact group |
ping_url | string | No | — | URL or IP address of an endpoint to push uptime events. Currently this only supports HTTP GET endpoints |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"group_id": {
"type": "string",
"description": "Contact group ID"
},
"email_addresses": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of email addresses"
},
"integrations": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of integration IDs"
},
"mobile_numbers": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of international format mobile phone numbers"
},
"name": {
"type": "string",
"description": "Name of the contact group"
},
"ping_url": {
"type": "string",
"description": "URL or IP address of an endpoint to push uptime events. Currently this only supports HTTP GET endpoints"
}
},
"required": [
"PCID",
"group_id"
]
}
statuscake_update_heartbeat_test
Update a heartbeat check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Heartbeat check ID |
contact_groups | string[] | No | — | List of contact group IDs |
host | string | No | — | Name of the hosting provider |
name | string | No | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
period | integer | No | — | Number of seconds since the last ping before the check is considered down |
tags | string[] | No | — | List of tags |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Heartbeat check ID"
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"host": {
"type": "string",
"description": "Name of the hosting provider"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"period": {
"type": "integer",
"description": "Number of seconds since the last ping before the check is considered down"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_update_maintenance_window
Update a maintenance window Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
window_id | string | Yes | — | Maintenance window ID |
end_at | string | No | — | End of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the timezone field. When repeat_interval is not never, the date component determines the first occurrence only; subsequent windows repeat at the same local time. |
name | string | No | — | Name of the maintenance window |
repeat_interval | string | No | — | How often the maintenance window should occur |
start_at | string | No | — | Start of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the timezone field. When repeat_interval is not never, the date component determines the first occurrence only; subsequent windows repeat at the same local time. |
tags | string[] | No | — | List of tags used to include matching uptime checks in this maintenance window |
tests | string[] | No | — | List of uptime check IDs explicitly included in this maintenance window |
timezone | string | No | — | Standard timezone associated with this maintenance window |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"window_id": {
"type": "string",
"description": "Maintenance window ID"
},
"end_at": {
"type": "string",
"description": "End of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the `timezone` field. When `repeat_interval` is not `never`, the date component determines the first occurrence only; subsequent windows repeat at the same local time."
},
"name": {
"type": "string",
"description": "Name of the maintenance window"
},
"repeat_interval": {
"type": "string",
"description": "How often the maintenance window should occur",
"enum": [
"never",
"1d",
"1w",
"2w",
"1m"
]
},
"start_at": {
"type": "string",
"description": "Start of the maintenance window (RFC3339 format). Only the date and time components are used - the UTC offset is ignored. The time is interpreted as local time in the timezone specified by the `timezone` field. When `repeat_interval` is not `never`, the date component determines the first occurrence only; subsequent windows repeat at the same local time."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags used to include matching uptime checks in this maintenance window"
},
"tests": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of uptime check IDs explicitly included in this maintenance window"
},
"timezone": {
"type": "string",
"description": "Standard [timezone](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones#List) associated with this maintenance window"
}
},
"required": [
"PCID",
"window_id"
]
}
statuscake_update_pagespeed_test
Update a pagespeed check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Pagespeed check ID |
alert_bigger | integer | No | — | An alert will be sent if the size of the page is larger than this value (kb). A value of 0 prevents alerts being sent. |
alert_slower | integer | No | — | An alert will be sent if the load time of the page exceeds this value (ms). A value of 0 prevents alerts being sent |
alert_smaller | integer | No | — | An alert will be sent if the size of the page is smaller than this value (kb). A value of 0 prevents alerts being sent |
check_rate | integer | No | — | Number of seconds between checks |
contact_groups | string[] | No | — | List of contact group IDs |
name | string | No | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
region | string | No | — | Region on which to run checks |
website_url | string | No | — | URL, FQDN, or IP address of the website under test |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Pagespeed check ID"
},
"alert_bigger": {
"type": "integer",
"description": "An alert will be sent if the size of the page is larger than this value (kb). A value of 0 prevents alerts being sent."
},
"alert_slower": {
"type": "integer",
"description": "An alert will be sent if the load time of the page exceeds this value (ms). A value of 0 prevents alerts being sent"
},
"alert_smaller": {
"type": "integer",
"description": "An alert will be sent if the size of the page is smaller than this value (kb). A value of 0 prevents alerts being sent"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
60,
300,
600,
900,
1800,
3600,
86400
]
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"region": {
"type": "string",
"description": "Region on which to run checks",
"enum": [
"AU",
"CA",
"DE",
"FR",
"IN",
"JP",
"NL",
"SG",
"UK",
"US",
"USW"
]
},
"website_url": {
"type": "string",
"description": "URL, FQDN, or IP address of the website under test"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_update_ssl_test
Update an SSL check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | SSL check ID |
alert_at | integer[] | No | — | List representing when alerts should be sent (days). Must be exactly 3 numerical values |
alert_broken | boolean | No | — | Whether to enable alerts when SSL certificate issues are found |
alert_expiry | boolean | No | — | Whether to enable alerts when the SSL certificate is to expire |
alert_mixed | boolean | No | — | Whether to enable alerts when mixed content is found |
alert_reminder | boolean | No | — | Whether to enable alert reminders |
check_rate | integer | No | — | Number of seconds between checks |
contact_groups | string[] | No | — | List of contact group IDs |
follow_redirects | boolean | No | — | Whether to follow redirects when testing. Disabled by default |
hostname | string | No | — | Hostname of the server under test |
paused | boolean | No | — | Whether the check should be run |
user_agent | string | No | — | Custom user agent string set when testing |
website_url | string | No | — | URL of the server under test. Must begin with https:// |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "SSL check ID"
},
"alert_at": {
"type": "array",
"items": {
"type": "integer",
"format": "int32"
},
"description": "List representing when alerts should be sent (days). Must be exactly 3 numerical values"
},
"alert_broken": {
"type": "boolean",
"description": "Whether to enable alerts when SSL certificate issues are found"
},
"alert_expiry": {
"type": "boolean",
"description": "Whether to enable alerts when the SSL certificate is to expire"
},
"alert_mixed": {
"type": "boolean",
"description": "Whether to enable alerts when mixed content is found"
},
"alert_reminder": {
"type": "boolean",
"description": "Whether to enable alert reminders"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
300,
600,
1800,
3600,
86400,
2073600
]
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"follow_redirects": {
"type": "boolean",
"description": "Whether to follow redirects when testing. Disabled by default"
},
"hostname": {
"type": "string",
"description": "Hostname of the server under test"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"user_agent": {
"type": "string",
"description": "Custom user agent string set when testing"
},
"website_url": {
"type": "string",
"description": "URL of the server under test. Must begin with https://"
}
},
"required": [
"PCID",
"test_id"
]
}
statuscake_update_uptime_test
Update an uptime check Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
test_id | string | Yes | — | Uptime check ID |
basic_password | string | No | — | Basic authentication password |
basic_username | string | No | — | Basic authentication username |
check_rate | integer | No | — | Number of seconds between checks |
confirmation | integer | No | — | Number of confirmation servers to confirm downtime before an alert is triggered |
contact_groups | string[] | No | — | List of contact group IDs |
custom_header | string | No | — | JSON object. Represents headers to be sent when making requests |
dns_ips | string[] | No | — | List of IP addresses to compare against returned DNS records |
dns_server | string | No | — | FQDN or IP address of the nameserver to query |
do_not_find | boolean | No | — | Whether to consider the check as down if the content is present within the response |
enable_ssl_alert | boolean | No | — | Whether to send an alert if the SSL certificate is soon to expire |
final_endpoint | string | No | — | Specify where the redirect chain should end |
find_string | string | No | — | String to look for within the response. Considered down if not found |
follow_redirects | boolean | No | — | Whether to follow redirects when testing. Disabled by default |
host | string | No | — | Name of the hosting provider |
include_header | boolean | No | — | Include header content in string match search |
name | string | No | — | Name of the check |
paused | boolean | No | — | Whether the check should be run |
port | integer | No | — | Destination port for TCP checks |
post_body | string | No | — | JSON object. Payload submitted with the request. Setting this updates the check to use the HTTP POST verb |
post_raw | string | No | — | Raw HTTP POST string to send to the server |
regions | string[] | No | — | List of regions on which to run checks. The values required for this parameter can be retrieved from the GET /v1/uptime-locations endpoint. |
status_codes_csv | string | No | — | Comma separated list of status codes that trigger an alert |
tags | string[] | No | — | List of tags |
timeout | integer | No | — | The number of seconds to wait to receive the first byte |
trigger_rate | integer | No | — | The number of minutes to wait before sending an alert |
use_jar | boolean | No | — | Whether to enable cookie storage |
user_agent | string | No | — | Custom user agent string set when testing |
website_url | string | No | — | URL or IP address of the server under test |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"test_id": {
"type": "string",
"description": "Uptime check ID"
},
"basic_password": {
"type": "string",
"description": "Basic authentication password"
},
"basic_username": {
"type": "string",
"description": "Basic authentication username"
},
"check_rate": {
"type": "integer",
"description": "Number of seconds between checks",
"enum": [
0,
30,
60,
300,
900,
1800,
3600,
86400
]
},
"confirmation": {
"type": "integer",
"description": "Number of confirmation servers to confirm downtime before an alert is triggered"
},
"contact_groups": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of contact group IDs"
},
"custom_header": {
"type": "string",
"description": "JSON object. Represents headers to be sent when making requests"
},
"dns_ips": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of IP addresses to compare against returned DNS records"
},
"dns_server": {
"type": "string",
"description": "FQDN or IP address of the nameserver to query"
},
"do_not_find": {
"type": "boolean",
"description": "Whether to consider the check as down if the content is present within the response"
},
"enable_ssl_alert": {
"type": "boolean",
"description": "Whether to send an alert if the SSL certificate is soon to expire"
},
"final_endpoint": {
"type": "string",
"description": "Specify where the redirect chain should end"
},
"find_string": {
"type": "string",
"description": "String to look for within the response. Considered down if not found"
},
"follow_redirects": {
"type": "boolean",
"description": "Whether to follow redirects when testing. Disabled by default"
},
"host": {
"type": "string",
"description": "Name of the hosting provider"
},
"include_header": {
"type": "boolean",
"description": "Include header content in string match search"
},
"name": {
"type": "string",
"description": "Name of the check"
},
"paused": {
"type": "boolean",
"description": "Whether the check should be run"
},
"port": {
"type": "integer",
"description": "Destination port for TCP checks"
},
"post_body": {
"type": "string",
"description": "JSON object. Payload submitted with the request. Setting this updates the check to use the HTTP POST verb"
},
"post_raw": {
"type": "string",
"description": "Raw HTTP POST string to send to the server"
},
"regions": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of regions on which to run checks. The values required for this parameter can be retrieved from the `GET /v1/uptime-locations` endpoint."
},
"status_codes_csv": {
"type": "string",
"description": "Comma separated list of status codes that trigger an alert"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of tags"
},
"timeout": {
"type": "integer",
"description": "The number of seconds to wait to receive the first byte"
},
"trigger_rate": {
"type": "integer",
"description": "The number of minutes to wait before sending an alert"
},
"use_jar": {
"type": "boolean",
"description": "Whether to enable cookie storage"
},
"user_agent": {
"type": "string",
"description": "Custom user agent string set when testing"
},
"website_url": {
"type": "string",
"description": "URL or IP address of the server under test"
}
},
"required": [
"PCID",
"test_id"
]
}

